summaryrefslogtreecommitdiffstats
path: root/slackware64/a/maketag.ez
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2009-08-26 10:00:38 -0500
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:41:17 +0200
commit5a12e7c134274dba706667107d10d231517d3e05 (patch)
tree55718d5acb710fde798d9f38d0bbaf594ed4b296 /slackware64/a/maketag.ez
downloadcurrent-5a12e7c134274dba706667107d10d231517d3e05.tar.gz
current-5a12e7c134274dba706667107d10d231517d3e05.tar.xz
Slackware 13.0slackware-13.0
Wed Aug 26 10:00:38 CDT 2009 Slackware 13.0 x86_64 is released as stable! Thanks to everyone who helped make this release possible -- see the RELEASE_NOTES for the credits. The ISOs are off to the replicator. This time it will be a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We're taking pre-orders now at store.slackware.com. Please consider picking up a copy to help support the project. Once again, thanks to the entire Slackware community for all the help testing and fixing things and offering suggestions during this development cycle. As always, have fun and enjoy! -P.
Diffstat (limited to 'slackware64/a/maketag.ez')
-rw-r--r--slackware64/a/maketag.ez130
1 files changed, 130 insertions, 0 deletions
diff --git a/slackware64/a/maketag.ez b/slackware64/a/maketag.ez
new file mode 100644
index 000000000..8303cae05
--- /dev/null
+++ b/slackware64/a/maketag.ez
@@ -0,0 +1,130 @@
+#!/bin/sh
+#item ####description ###on off ###
+TMP=/var/log/setup/tmp
+if [ ! -d $TMP ]; then
+ mkdir -p $TMP
+fi
+cat /dev/null > $TMP/SeTnewtag
+dialog --title "SELECTING PACKAGES FROM SERIES A (BASE LINUX SYSTEM)" \
+ --checklist "Please confirm the packages you wish to install \
+from series A. Use the UP/DOWN keys to scroll through the list, and \
+the SPACE key to deselect any packages don't want installed. You are \
+cautioned against unselecting REQUIRED packages. However, it's your \
+system. :^) Press ENTER when you are done." 21 76 10 \
+"aaa_base" "Basic filesystem, shell, and utils - REQUIRED" "on" \
+"aaa_elflibs" "Various ELF libraries -- REQUIRED" "on" \
+"aaa_terminfo" "A subset of the terminfo database from ncurses" "on" \
+"acl" "POSIX Access Control List tools -- REQUIRED" "on" \
+"acpid" "ACPI Power Management daemon" "on" \
+"apmd" "APM Power Management daemon" "on" \
+"attr" "Tools for fs extended attributes -- REQUIRED" "on" \
+"bash" "GNU bash shell - REQUIRED" "on" \
+"bin" "Various system utilities - REQUIRED" "on" \
+"bzip2" "bzip2 compression utility" "on" \
+"coreutils" "The core GNU command-line utilities - REQUIRED" "on" \
+"cpio" "The GNU cpio backup/archiving utility" "on" \
+"cryptsetup" "Utilities for encrypting partitions" "on" \
+"cups" "CUPS - printer spooling system" "on" \
+"cxxlibs" "C++ shared libraries - REQUIRED" "on" \
+"dbus" "Message bus daemon" "on" \
+"dcron" "Cron daemon - REQUIRED" "on" \
+"device-mapper" "The device-mapper is used with LVM" "on" \
+"devs" "Device files found in /dev - REQUIRED" "on" \
+"dialog" "The program that generates these menus :-)" "on" \
+"dosfstools" "Tools for working with FAT filesystems" "on" \
+"e2fsprogs" "Utilities for ext2/ext3 filesystems - REQUIRED" "on" \
+"ed" "A clone of the old, original UN*X line editor" "on" \
+"eject" "A tool for ejecting removable media" "on" \
+"elvis" "elvis text editor (vi clone) - REQUIRED" "on" \
+"etc" "System config files & utilities - REQUIRED" "on" \
+"file" "Determines what file format data is in" "on" \
+"findutils" "GNU file finding utilities" "on" \
+"floppy" "Utilities for using DOS floppies" "on" \
+"gawk" "GNU awk pattern scanning language" "on" \
+"genpower" "UPS monitoring daemon" "on" \
+"gettext" "Programs used to internationalize scripts" "on" \
+"getty-ps" "Getty_ps serial login support - OPTIONAL" "on" \
+"glibc-solibs" "Runtime glibc support libraries" "on" \
+"glibc-zoneinfo" "Configures your time zone" "on" \
+"gpm" "Cut and paste text with your mouse" "on" \
+"grep" "GNU grep searching tool - REQUIRED" "on" \
+"gzip" "GNU zip compression utility - REQUIRED" "on" \
+"hdparm" "Get/Set IDE hard drive parameters" "on" \
+"infozip" "zip/unzip archive utilities" "on" \
+"inotify-tools" "Command-line tools for using inotify." "on" \
+"jfsutils" "Utilities for IBM's Journaled Filesystem" "on" \
+"kbd" "Change keyboard and console mappings" "on" \
+"kernel-firmware" "Linux 2.6.29.6 kernel firmware -- REQUIRED" "on" \
+"kernel-generic" "Generic 2.6.29.6 kernel (needs an initrd)" "on" \
+"kernel-huge" "Loaded 2.6.29.6 Linux kernel" "on" \
+"kernel-modules" "Linux 2.6.29.6 kernel modules -- REQUIRED" "on" \
+"less" "A text pager utility - REQUIRED" "on" \
+"lha" "LHA archive utility" "on" \
+"lilo" "Boot loader for Linux, DOS, OS/2, etc." "on" \
+"logrotate" "System log rotation utility" "on" \
+"lvm2" "Tools for creating logical volumes" "on" \
+"mdadm" "Utilities for managing MD (RAID) devices" "on" \
+"minicom" "Serial transfer and modem comm package" "on" \
+"mkinitrd" "Tool for building an initial ramdisk" "on" \
+"module-init-tools" "Kernel module utilities -- REQUIRED" "on" \
+"mt-st" "mt ported from BSD - controls tape drive" "on" \
+"mtx" "Controls tape autochangers" "on" \
+"ncompress" "The historic compress utility" "on" \
+"ntfs-3g" "FUSE-based NTFS read-write mount program" "on" \
+"openssl-solibs" "OpenSSL shared libraries -- REQUIRED" "on" \
+"patch" "Applies a diff file to an original file" "on" \
+"pciutils" "Linux PCI utilities" "on" \
+"pcmciautils" "PCMCIA card services for 2.6.x+ kernels" "on" \
+"pkgtools" "Slackware package management tools - REQUIRED" "on" \
+"procps" "Displays process info - REQUIRED" "on" \
+"quota" "User disk quota utilities" "on" \
+"reiserfsprogs" "Tools for the ReiserFS journaling filesystem" "on" \
+"rpm2tgz" "A simple script to convert an RPM to a tgz" "on" \
+"sdparm" "Get/Set SCSI hard drive parameters" "on" \
+"sed" "GNU stream editor -- REQUIRED" "on" \
+"shadow" "Shadow password suite -- REQUIRED" "on" \
+"sharutils" "GNU shell archive utilities - REQUIRED" "on" \
+"slocate" "Locates files on the system" "on" \
+"smartmontools" "Hard drive monitoring utilities" "on" \
+"splitvt" "Split a screen into sections (use screen ;-)" "on" \
+"sysfsutils" "Utilities for the sysfs filesystem" "on" \
+"sysklogd" "Logs system and kernel messages" "on" \
+"syslinux" "Loader for making Linux boot floppies" "on" \
+"sysvinit" "System V-like INIT programs - REQUIRED" "on" \
+"sysvinit-functions" "Init functions used by some third-party apps" "on" \
+"sysvinit-scripts" "The startup scripts for Slackware - REQUIRED" "on" \
+"tar" "GNU tar archive utility -- REQUIRED" "on" \
+"tcsh" "Extended C shell /bin/tcsh" "on" \
+"time" "Times how long a process takes to run" "on" \
+"tree" "Display a directory in tree form" "on" \
+"udev" "System for managing /dev in 2.6 - RECOMMENDED" "on" \
+"unarj" "Extract ARJ archives" "on" \
+"usbutils" "Linux USB utilities" "on" \
+"utempter" "Library used for writing to utmp/wtmp" "on" \
+"util-linux-ng" "Util-linux utilities - REQUIRED" "on" \
+"which" "Locate an executable in your $PATH" "on" \
+"xfsprogs" "Utilities for SGI's XFS filesystem" "on" \
+"xz" "xz (LZMA) compression utility - REQUIRED" "on" \
+"zoo" "Zoo archive utility" "on" \
+2> $TMP/SeTpkgs
+if [ $? = 1 -o $? = 255 ]; then
+ rm -f $TMP/SeTpkgs
+ > $TMP/SeTnewtag
+ for pkg in \
+aaa_base aaa_elflibs aaa_terminfo acl acpid apmd attr bash bin bzip2 coreutils cpio cryptsetup cups cxxlibs dbus dcron device-mapper devs dialog dosfstools e2fsprogs ed eject elvis etc file findutils floppy gawk genpower gettext getty-ps glibc-solibs glibc-zoneinfo gpm grep gzip hdparm infozip inotify-tools jfsutils kbd kernel-firmware kernel-generic kernel-huge kernel-modules less lha lilo logrotate lvm2 mdadm minicom mkinitrd module-init-tools mt-st mtx ncompress ntfs-3g openssl-solibs patch pciutils pcmciautils pkgtools procps quota reiserfsprogs rpm2tgz sdparm sed shadow sharutils slocate smartmontools splitvt sysfsutils sysklogd syslinux sysvinit sysvinit-functions sysvinit-scripts tar tcsh time tree udev unarj usbutils utempter util-linux-ng which xfsprogs xz zoo \
+ ; do
+ echo "$pkg: SKP" >> $TMP/SeTnewtag
+ done
+ exit
+fi
+cat /dev/null > $TMP/SeTnewtag
+for PACKAGE in \
+aaa_base aaa_elflibs aaa_terminfo acl acpid apmd attr bash bin bzip2 coreutils cpio cryptsetup cups cxxlibs dbus dcron device-mapper devs dialog dosfstools e2fsprogs ed eject elvis etc file findutils floppy gawk genpower gettext getty-ps glibc-solibs glibc-zoneinfo gpm grep gzip hdparm infozip inotify-tools jfsutils kbd kernel-firmware kernel-generic kernel-huge kernel-modules less lha lilo logrotate lvm2 mdadm minicom mkinitrd module-init-tools mt-st mtx ncompress ntfs-3g openssl-solibs patch pciutils pcmciautils pkgtools procps quota reiserfsprogs rpm2tgz sdparm sed shadow sharutils slocate smartmontools splitvt sysfsutils sysklogd syslinux sysvinit sysvinit-functions sysvinit-scripts tar tcsh time tree udev unarj usbutils utempter util-linux-ng which xfsprogs xz zoo \
+ ; do
+ if fgrep \"$PACKAGE\" $TMP/SeTpkgs 1> /dev/null 2> /dev/null ; then
+ echo "$PACKAGE: ADD" >> $TMP/SeTnewtag
+ else
+ echo "$PACKAGE: SKP" >> $TMP/SeTnewtag
+ fi
+done
+rm -f $TMP/SeTpkgs